Subject: `guix system` requires guile-json?

From: Leo Famulari <[email-masked]>
Date: Thu, 24 May 2018 13:00:42 -0400

Sometime in the past couple months, `./pre-inst-env guix system` stopped
working for me on distros besides GuixSD. It fails with 'guix: system:
command not found'.

Using the installed Guix, without pre-inst-env, still works.

------
$ ./pre-inst-env guix system vm foo.scm                      
guix: system: command not found                    
Try `guix --help' for more information.
------

I used my trusty strace and found that it fails when it can't find
(json). So, I installed guile-json, and now things are good.

I wonder if this can be improved for users on foreign distros.

The manual suggests that the JSON module is required for some of the
importers, but not for `guix system`. But I see that it is used in (gnu
system vm (system-docker-image)).